Skip to main content
GET
/
conversations
/
{id}
Get conversation history
curl --request GET \
  --url https://app.npcbuilder.com/api/conversations/{id} \
  --header 'Authorization: Bearer <token>'
[
  {
    "role": "user",
    "content": "Hello Jakinen, my name is Juan, I'll take my sword and dance!"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The conversation ID.

Example:

"conv_12345"

Query Parameters

game_id
string
required

The game ID.

Example:

"tx65BrETVN2vMrrUIrlV"

session_id
string

(Optional) The session ID.

Example:

"60Z5aZjIuFlyYbjbZZKe"

Response

List of messages.

role
enum<string>

The role of the message sender. Use 'user' for messages from the player and 'assistant' for NPC responses.

Available options:
user,
assistant
Example:

"user"

content
string

The text content of the message.

Example:

"Hello Jakinen, my name is Juan, I'll take my sword and dance!"